org.jacoco.core.internal.data

## Class CompactDataInput

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream
      - - org.jacoco.core.internal.data.CompactDataInput

All Implemented Interfaces:
  Closeable, DataInput, AutoCloseable

    public class CompactDataInput
    extends DataInputStream

Additional data input methods for compact storage of data structures.

See Also:
  `CompactDataOutput`

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`CompactDataInput(InputStream in)` Creates a new `CompactDataInput` that uses the specified underlying input stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean[]` `readBooleanArray()` Reads a boolean array.
`int` `readVarInt()` Reads a variable length representation of an integer value.

### Methods inherited from class java.io.DataInputStream

`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompactDataInput

    public CompactDataInput(InputStream in)

Creates a new `CompactDataInput` that uses the specified underlying input stream.

Parameters:
  `in` - underlying input stream

### Method Detail

#### readVarInt

    public int readVarInt()
                   throws IOException

Reads a variable length representation of an integer value.

Returns:
  read value
Throws:
  `IOException` - if thrown by the underlying stream

#### readBooleanArray

    public boolean[] readBooleanArray()
                               throws IOException

Reads a boolean array.

Returns:
  boolean array
Throws:
  `IOException` - if thrown by the underlying stream